<?php

declare(strict_types=1);

use App\Services\JwtService;
use App\Services\MailService;
use App\Services\PrestashopService;
use App\Services\StravaService;
use App\Services\GravureService;
use App\Services\BackupService;
use App\Services\GroqService;
use App\Services\RelanceService;
use App\Controllers\UserController;

return [
    JwtService::class        => \DI\create(JwtService::class),
    MailService::class       => \DI\create(MailService::class),
    PrestashopService::class => \DI\create(PrestashopService::class),
    StravaService::class     => \DI\create(StravaService::class),
    GravureService::class    => \DI\create(GravureService::class),
    BackupService::class     => \DI\create(BackupService::class),
    GroqService::class       => \DI\create(GroqService::class),
    RelanceService::class    => \DI\create(RelanceService::class),
    UserController::class    => \DI\autowire(UserController::class),
];
